Package uk.co.mccombe.mapping

# Class Spherical

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Spherical

public class Spherical extends CoordinateSystem
Spherical Coordinates - an implementation of positional coordinates based on Latitude and Longitude. Whilst often not explicitly stated in practice, these are relative to a specified datum and ellipsoid.

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`Spherical()`
Creates a new instance of Spherical
``
`Spherical(LatLong latLon, Ellipsoid e, Datum d)`
Create a new Spherical Coordinate set based on Lat/Lon, the Ellipsoid and Datum
``
`Spherical(Position p, Ellipsoid e, Datum d)`
Create a new Spherical Coordinate set based on a specific Position, Ellipsoid and Datum

## Method Summary

Modifier and Type
Method
Description
`Datum`
`defaultDatum()`
Define the DefaultDatum for this coordinate set
`Ellipsoid`
`defaultEllipsoid()`
Define the Default Ellipsoid for this point
`String`
`toString()`
Provide a String representing this coordinate set

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Spherical

protected Spherical()
Creates a new instance of Spherical

### Spherical

public Spherical(LatLong latLon, Ellipsoid e, Datum d)
Create a new Spherical Coordinate set based on Lat/Lon, the Ellipsoid and Datum

Parameters:
  `latLon` - A LatLong object containing the Latitude and Longitude of the point
  `e` - The Ellipsoid used to define Lat and Lon
  `d` - The Datum used to determine the Lat / Lon

### Spherical

public Spherical(Position p, Ellipsoid e, Datum d)
Create a new Spherical Coordinate set based on a specific Position, Ellipsoid and Datum

Parameters:
  `p` - The Position
  `e` - The Ellipsoid to use when translating this Position
  `d` - The Datum to use when representing this point.

## Method Details

### defaultDatum

public Datum defaultDatum()
Define the DefaultDatum for this coordinate set

Specified by:
  `defaultDatum` in class `CoordinateSystem`
Returns:
  The Default Datum

### defaultEllipsoid

public Ellipsoid defaultEllipsoid()
Define the Default Ellipsoid for this point

Specified by:
  `defaultEllipsoid` in class `CoordinateSystem`
Returns:
  The Default Ellipsoid

### toString

public String toString()
Provide a String representing this coordinate set

Specified by:
  `toString` in class `CoordinateSystem`
Returns:
  The String representation of the coordinates (in Lat/Lon format)